Installing LibreOffice problem

Questions about applications and software
Forum rules
Before you post please read how to get help
MarshalM
Level 1
Level 1
Posts: 44
Joined: Wed Dec 24, 2014 6:44 am

Re: Installing LibreOffice problem

Post by MarshalM »

I remove them all, then
1) apt clean
2) apt update
3) apt upgrade
4) sudo dpkg --configure -a
5) apt install libreoffice-core

and the result is:

Code: Select all

~$ apt install libreoffice-core
Czytanie list pakietów... Gotowe
Budowanie drzewa zależności       
Odczyt informacji o stanie... Gotowe
The following additional packages will be installed:
  libreoffice-common libreoffice-style-galaxy libreoffice-style-tango
Sugerowane pakiety:
  tango-icon-theme
Polecane pakiety:
  python3-uno
Zostaną zainstalowane następujące NOWE pakiety:
  libreoffice-common libreoffice-core libreoffice-style-galaxy
  libreoffice-style-tango
0 aktualizowanych, 4 nowo instalowanych, 0 usuwanych i 0 nieaktualizowanych.
Konieczne pobranie 59,5 MB archiwów.
Po tej operacji zostanie dodatkowo użyte 225 MB miejsca na dysku.
Kontynuować? [T/n] t
Pobieranie:1 http://ftp.icm.edu.pl/pub/Linux/ubuntu bionic-updates/main amd64 libreoffice-style-galaxy all 1:6.0.7-0ubuntu0.18.04.2 [1 540 kB]
Pobieranie:2 http://ftp.icm.edu.pl/pub/Linux/ubuntu bionic-updates/main amd64 libreoffice-style-tango all 1:6.0.7-0ubuntu0.18.04.2 [1 309 kB]
Pobieranie:3 http://ftp.icm.edu.pl/pub/Linux/ubuntu bionic-updates/main amd64 libreoffice-common all 1:6.0.7-0ubuntu0.18.04.2 [24,7 MB]
Pobieranie:4 http://ftp.icm.edu.pl/pub/Linux/ubuntu bionic-updates/main amd64 libreoffice-core amd64 1:6.0.7-0ubuntu0.18.04.2 [31,9 MB]
Pobrano 59,5 MB w 5s (11,2 MB/s)               
Wybieranie wcześniej niewybranego pakietu libreoffice-style-galaxy.
(Odczytywanie bazy danych ... 311168 plików i katalogów obecnie zainstalowanych.)
Przygotowywanie do rozpakowania pakietu .../libreoffice-style-galaxy_1%3a6.0.7-0ubuntu0.18.04.2_all.deb ...
Rozpakowywanie pakietu libreoffice-style-galaxy (1:6.0.7-0ubuntu0.18.04.2) ...
Wybieranie wcześniej niewybranego pakietu libreoffice-style-tango.
Przygotowywanie do rozpakowania pakietu .../libreoffice-style-tango_1%3a6.0.7-0ubuntu0.18.04.2_all.deb ...
Rozpakowywanie pakietu libreoffice-style-tango (1:6.0.7-0ubuntu0.18.04.2) ...
Przygotowywanie do rozpakowania pakietu .../libreoffice-common_1%3a6.0.7-0ubuntu0.18.04.2_all.deb ...
Rozpakowywanie pakietu libreoffice-common (1:6.0.7-0ubuntu0.18.04.2) ...
dpkg: błąd przetwarzania archiwum /var/cache/apt/archives/libreoffice-common_1%3a6.0.7-0ubuntu0.18.04.2_all.deb (--unpack):
 nie można otworzyć "/usr/lib/libreoffice/share/gallery/people/Computer-User-Female1.png.dpkg-new": Operacja niedozwolona
rmdir: nie udało się usunąć '/var/lib/libreoffice/share/prereg/': Nie ma takiego pliku ani katalogu
rmdir: nie udało się usunąć '/var/lib/libreoffice/share/': Nie ma takiego pliku ani katalogu
rmdir: nie udało się usunąć '/var/lib/libreoffice/program/': Nie ma takiego pliku ani katalogu
rmdir: nie udało się usunąć '/var/lib/libreoffice': Nie ma takiego pliku ani katalogu
rmdir: nie udało się usunąć '/var/lib/libreoffice': Nie ma takiego pliku ani katalogu
Wybieranie wcześniej niewybranego pakietu libreoffice-core.
Przygotowywanie do rozpakowania pakietu .../libreoffice-core_1%3a6.0.7-0ubuntu0.18.04.2_amd64.deb ...
Rozpakowywanie pakietu libreoffice-core (1:6.0.7-0ubuntu0.18.04.2) ...
Wystąpiły błędy podczas przetwarzania:
 /var/cache/apt/archives/libreoffice-common_1%3a6.0.7-0ubuntu0.18.04.2_all.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)
frosh
Level 1
Level 1
Posts: 17
Joined: Sun Dec 09, 2018 12:56 pm

Re: Installing LibreOffice problem

Post by frosh »

Code: Select all

dpkg: archive processing error /var/cache/apt/archives/libreoffice-common_1%3a6.0.7-0ubuntu0.18.04.2_all.deb (--unpack):
 can not be opened "/usr/lib/libreoffice/share/gallery/people/Computer-User-Female1.png.dpkg-new": Operation not allowed
This makes me think that there might be a var lock or something? This can happen if you used two different update managers, if you tried to update via mintupdate first and then went to the terminal.

To remove lock files:

Code: Select all

sudo rm /var/lib/apt/lists/lock
sudo rm /var/cache/apt/archives/lock
sudo rm /var/lib/dpkg/lock
Afterwards try to reconfigure again.
MarshalM
Level 1
Level 1
Posts: 44
Joined: Wed Dec 24, 2014 6:44 am

Re: Installing LibreOffice problem

Post by MarshalM »

Here what i've done after yours advice:
1) Removed all libreoffice* packages.
2) ~$ sudo apt-get upgrade
3) ~$ sudo dpkg --configure -a
4) Removed lock files as You said
5) I also notice, that in /var/cache/apt/archives/ i've got som LO packages

Code: Select all

~$ ll /var/cache/apt/archives/
razem 58208
drwxr-xr-x 3 root root    69632 gru 17 13:17 ./
drwxr-xr-x 3 root root     4096 gru 17 13:20 ../
-rw-r--r-- 1 root root 24726328 gru  2 15:08 libreoffice-common_1%3a6.0.7-0ubuntu0.18.04.2_all.deb
-rw-r--r-- 1 root root 31943836 gru  2 15:08 libreoffice-core_1%3a6.0.7-0ubuntu0.18.04.2_amd64.deb
-rw-r--r-- 1 root root  1539600 gru  2 15:08 libreoffice-style-galaxy_1%3a6.0.7-0ubuntu0.18.04.2_all.deb
-rw-r--r-- 1 root root  1308512 gru  2 15:08 libreoffice-style-tango_1%3a6.0.7-0ubuntu0.18.04.2_all.deb
-rw-r----- 1 root root        0 gru 17 13:16 lock
drwx------ 2 _apt root     4096 gru 17 13:17 partial/
so i removed them too

6) ~$ sudo apt clean
7) ~$ sudo apt update
8 ) ~$ sudo apt install libreoffice
But there still was that same problem:

Code: Select all

~$ sudo apt install libreoffice
Czytanie list pakietów... Gotowe
Budowanie drzewa zależności       
Odczyt informacji o stanie... Gotowe
The following additional packages will be installed:
  libreoffice-avmedia-backend-gstreamer libreoffice-base libreoffice-base-core libreoffice-base-drivers libreoffice-calc
  libreoffice-common libreoffice-core libreoffice-draw libreoffice-impress libreoffice-math libreoffice-report-builder-bin
  libreoffice-style-galaxy libreoffice-style-tango libreoffice-writer python3-uno
Sugerowane pakiety:
  gpa imagemagick | graphicsmagick-imagemagick-compat libreoffice-grammarcheck libreoffice-help libreoffice-l10n myspell-dictionary
  openclipart2-libreoffice | openclipart-libreoffice pstoedit unixodbc libreoffice-officebean libreoffice-report-builder libjtds-java
  libreoffice-mysql-connector | libmyodbc | libmysql-java libreoffice-sdbc-postgresql | odbc-postgresql | libpg-java libsqliteodbc
  | tdsodbc | mdbtools libreoffice-sdbc-firebird ocl-icd-libopencl1 tango-icon-theme fonts-crosextra-caladea fonts-crosextra-carlito
  libreoffice-java-common
Polecane pakiety:
  fonts-crosextra-caladea fonts-crosextra-carlito fonts-linuxlibertine fonts-sil-gentium-basic libreoffice-gnome | libreoffice-kde4
  libreoffice-librelogo libreoffice-nlpsolver libreoffice-ogltrans libreoffice-report-builder libreoffice-script-provider-bsh
  libreoffice-script-provider-js libreoffice-script-provider-python libreoffice-sdbc-postgresql libreoffice-wiki-publisher
  libreoffice-java-common libreoffice-sdbc-hsqldb
Zostaną zainstalowane następujące NOWE pakiety:
  libreoffice libreoffice-avmedia-backend-gstreamer libreoffice-base libreoffice-base-core libreoffice-base-drivers libreoffice-calc
  libreoffice-common libreoffice-core libreoffice-draw libreoffice-impress libreoffice-math libreoffice-report-builder-bin
  libreoffice-style-galaxy libreoffice-style-tango libreoffice-writer python3-uno
0 aktualizowanych, 16 nowo instalowanych, 0 usuwanych i 0 nieaktualizowanych.
Konieczne pobranie 82,7 MB archiwów.
Po tej operacji zostanie dodatkowo użyte 321 MB miejsca na dysku.
Kontynuować? [T/n] t
Pobieranie:1 http://ftp.icm.edu.pl/pub/Linux/ubuntu bionic-updates/main amd64 libreoffice-style-galaxy all 1:6.0.7-0ubuntu0.18.04.2 [1 540 kB]
Pobieranie:2 http://ftp.icm.edu.pl/pub/Linux/ubuntu bionic-updates/main amd64 libreoffice-style-tango all 1:6.0.7-0ubuntu0.18.04.2 [1 309 kB]
Pobieranie:3 http://ftp.icm.edu.pl/pub/Linux/ubuntu bionic-updates/main amd64 libreoffice-common all 1:6.0.7-0ubuntu0.18.04.2 [24,7 MB]
Pobieranie:4 http://ftp.icm.edu.pl/pub/Linux/ubuntu bionic-updates/main amd64 libreoffice-core amd64 1:6.0.7-0ubuntu0.18.04.2 [31,9 MB]
Pobieranie:5 http://ftp.icm.edu.pl/pub/Linux/ubuntu bionic-updates/main amd64 libreoffice-base-core amd64 1:6.0.7-0ubuntu0.18.04.2 [705 kB]
Pobieranie:6 http://ftp.icm.edu.pl/pub/Linux/ubuntu bionic-updates/universe amd64 libreoffice-base-drivers amd64 1:6.0.7-0ubuntu0.18.04.2 [498 kB]
Pobieranie:7 http://ftp.icm.edu.pl/pub/Linux/ubuntu bionic-updates/universe amd64 libreoffice-base amd64 1:6.0.7-0ubuntu0.18.04.2 [1 730 kB]
Pobieranie:8 http://ftp.icm.edu.pl/pub/Linux/ubuntu bionic-updates/main amd64 libreoffice-calc amd64 1:6.0.7-0ubuntu0.18.04.2 [7 039 kB]
Pobieranie:9 http://ftp.icm.edu.pl/pub/Linux/ubuntu bionic-updates/main amd64 libreoffice-draw amd64 1:6.0.7-0ubuntu0.18.04.2 [2 673 kB]
Pobieranie:10 http://ftp.icm.edu.pl/pub/Linux/ubuntu bionic-updates/main amd64 libreoffice-impress amd64 1:6.0.7-0ubuntu0.18.04.2 [906 kB]
Pobieranie:11 http://ftp.icm.edu.pl/pub/Linux/ubuntu bionic-updates/main amd64 libreoffice-math amd64 1:6.0.7-0ubuntu0.18.04.2 [396 kB]
Pobieranie:12 http://ftp.icm.edu.pl/pub/Linux/ubuntu bionic-updates/universe amd64 libreoffice-report-builder-bin amd64 1:6.0.7-0ubuntu0.18.04.2 [791 kB]
Pobieranie:13 http://ftp.icm.edu.pl/pub/Linux/ubuntu bionic-updates/main amd64 libreoffice-writer amd64 1:6.0.7-0ubuntu0.18.04.2 [8 296 kB]
Pobieranie:14 http://ftp.icm.edu.pl/pub/Linux/ubuntu bionic-updates/main amd64 libreoffice-avmedia-backend-gstreamer amd64 1:6.0.7-0ubuntu0.18.04.2 [24,7 kB]
Pobieranie:15 http://ftp.icm.edu.pl/pub/Linux/ubuntu bionic-updates/main amd64 python3-uno amd64 1:6.0.7-0ubuntu0.18.04.2 [123 kB]
Pobieranie:16 http://ftp.icm.edu.pl/pub/Linux/ubuntu bionic-updates/universe amd64 libreoffice amd64 1:6.0.7-0ubuntu0.18.04.2 [11,7 kB]
Pobrano 82,7 MB w 5s (17,9 MB/s)         
Wybieranie wcześniej niewybranego pakietu libreoffice-style-galaxy.
(Odczytywanie bazy danych ... 311168 plików i katalogów obecnie zainstalowanych.)
Przygotowywanie do rozpakowania pakietu .../00-libreoffice-style-galaxy_1%3a6.0.7-0ubuntu0.18.04.2_all.deb ...
Rozpakowywanie pakietu libreoffice-style-galaxy (1:6.0.7-0ubuntu0.18.04.2) ...
Wybieranie wcześniej niewybranego pakietu libreoffice-style-tango.
Przygotowywanie do rozpakowania pakietu .../01-libreoffice-style-tango_1%3a6.0.7-0ubuntu0.18.04.2_all.deb ...
Rozpakowywanie pakietu libreoffice-style-tango (1:6.0.7-0ubuntu0.18.04.2) ...
Wybieranie wcześniej niewybranego pakietu libreoffice-common.
Przygotowywanie do rozpakowania pakietu .../02-libreoffice-common_1%3a6.0.7-0ubuntu0.18.04.2_all.deb ...
Rozpakowywanie pakietu libreoffice-common (1:6.0.7-0ubuntu0.18.04.2) ...
dpkg: błąd przetwarzania archiwum /tmp/apt-dpkg-install-dEE6a2/02-libreoffice-common_1%3a6.0.7-0ubuntu0.18.04.2_all.deb (--unpack):
 nie można otworzyć "/usr/lib/libreoffice/share/gallery/diagrams.str.dpkg-new": Operacja niedozwolona
rmdir: nie udało się usunąć '/var/lib/libreoffice/share/prereg/': Nie ma takiego pliku ani katalogu
rmdir: nie udało się usunąć '/var/lib/libreoffice/share/': Nie ma takiego pliku ani katalogu
rmdir: nie udało się usunąć '/var/lib/libreoffice/program/': Nie ma takiego pliku ani katalogu
rmdir: nie udało się usunąć '/var/lib/libreoffice': Nie ma takiego pliku ani katalogu
rmdir: nie udało się usunąć '/var/lib/libreoffice': Nie ma takiego pliku ani katalogu
Wybieranie wcześniej niewybranego pakietu libreoffice-core.
Przygotowywanie do rozpakowania pakietu .../03-libreoffice-core_1%3a6.0.7-0ubuntu0.18.04.2_amd64.deb ...
Rozpakowywanie pakietu libreoffice-core (1:6.0.7-0ubuntu0.18.04.2) ...
Wybieranie wcześniej niewybranego pakietu libreoffice-base-core.
Przygotowywanie do rozpakowania pakietu .../04-libreoffice-base-core_1%3a6.0.7-0ubuntu0.18.04.2_amd64.deb ...
Rozpakowywanie pakietu libreoffice-base-core (1:6.0.7-0ubuntu0.18.04.2) ...
Wybieranie wcześniej niewybranego pakietu libreoffice-base-drivers.
Przygotowywanie do rozpakowania pakietu .../05-libreoffice-base-drivers_1%3a6.0.7-0ubuntu0.18.04.2_amd64.deb ...
Rozpakowywanie pakietu libreoffice-base-drivers (1:6.0.7-0ubuntu0.18.04.2) ...
Wybieranie wcześniej niewybranego pakietu libreoffice-base.
Przygotowywanie do rozpakowania pakietu .../06-libreoffice-base_1%3a6.0.7-0ubuntu0.18.04.2_amd64.deb ...
Dodawanie "ominięcie /usr/lib/libreoffice/share/basic/dialog.xlc do /usr/lib/libreoffice/share/basic/dialog.xlc.noaccess przez libreoffice-base"
Dodawanie "ominięcie /usr/lib/libreoffice/share/basic/script.xlc do /usr/lib/libreoffice/share/basic/script.xlc.noaccess przez libreoffice-base"
Rozpakowywanie pakietu libreoffice-base (1:6.0.7-0ubuntu0.18.04.2) ...
Wybieranie wcześniej niewybranego pakietu libreoffice-calc.
Przygotowywanie do rozpakowania pakietu .../07-libreoffice-calc_1%3a6.0.7-0ubuntu0.18.04.2_amd64.deb ...
Rozpakowywanie pakietu libreoffice-calc (1:6.0.7-0ubuntu0.18.04.2) ...
Wybieranie wcześniej niewybranego pakietu libreoffice-draw.
Przygotowywanie do rozpakowania pakietu .../08-libreoffice-draw_1%3a6.0.7-0ubuntu0.18.04.2_amd64.deb ...
Rozpakowywanie pakietu libreoffice-draw (1:6.0.7-0ubuntu0.18.04.2) ...
Wybieranie wcześniej niewybranego pakietu libreoffice-impress.
Przygotowywanie do rozpakowania pakietu .../09-libreoffice-impress_1%3a6.0.7-0ubuntu0.18.04.2_amd64.deb ...
Rozpakowywanie pakietu libreoffice-impress (1:6.0.7-0ubuntu0.18.04.2) ...
Wybieranie wcześniej niewybranego pakietu libreoffice-math.
Przygotowywanie do rozpakowania pakietu .../10-libreoffice-math_1%3a6.0.7-0ubuntu0.18.04.2_amd64.deb ...
Rozpakowywanie pakietu libreoffice-math (1:6.0.7-0ubuntu0.18.04.2) ...
Wybieranie wcześniej niewybranego pakietu libreoffice-report-builder-bin.
Przygotowywanie do rozpakowania pakietu .../11-libreoffice-report-builder-bin_1%3a6.0.7-0ubuntu0.18.04.2_amd64.deb ...
Rozpakowywanie pakietu libreoffice-report-builder-bin (1:6.0.7-0ubuntu0.18.04.2) ...
Wybieranie wcześniej niewybranego pakietu libreoffice-writer.
Przygotowywanie do rozpakowania pakietu .../12-libreoffice-writer_1%3a6.0.7-0ubuntu0.18.04.2_amd64.deb ...
Rozpakowywanie pakietu libreoffice-writer (1:6.0.7-0ubuntu0.18.04.2) ...
Wybieranie wcześniej niewybranego pakietu libreoffice-avmedia-backend-gstreamer.
Przygotowywanie do rozpakowania pakietu .../13-libreoffice-avmedia-backend-gstreamer_1%3a6.0.7-0ubuntu0.18.04.2_amd64.deb ...
Rozpakowywanie pakietu libreoffice-avmedia-backend-gstreamer (1:6.0.7-0ubuntu0.18.04.2) ...
Wybieranie wcześniej niewybranego pakietu python3-uno.
Przygotowywanie do rozpakowania pakietu .../14-python3-uno_1%3a6.0.7-0ubuntu0.18.04.2_amd64.deb ...
Rozpakowywanie pakietu python3-uno (1:6.0.7-0ubuntu0.18.04.2) ...
Wybieranie wcześniej niewybranego pakietu libreoffice.
Przygotowywanie do rozpakowania pakietu .../15-libreoffice_1%3a6.0.7-0ubuntu0.18.04.2_amd64.deb ...
Rozpakowywanie pakietu libreoffice (1:6.0.7-0ubuntu0.18.04.2) ...
Wystąpiły błędy podczas przetwarzania:
 /tmp/apt-dpkg-install-dEE6a2/02-libreoffice-common_1%3a6.0.7-0ubuntu0.18.04.2_all.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)
User avatar
kukamuumuka
Level 16
Level 16
Posts: 6747
Joined: Tue Sep 03, 2013 4:51 am
Location: Finland
Contact:

Re: Installing LibreOffice problem

Post by kukamuumuka »

Code: Select all

sudo rm /var/lib/dpkg/info/libreoffice-common*
sudo dpkg -r --force-depends --force-remove-reinstreq libreoffice-common

sudo rm /var/lib/dpkg/info/libreoffice-core*
sudo dpkg -r --force-depends --force-remove-reinstreq libreoffice-core

apt autoremove
apt clean
apt update
apt install libreoffice-core libreoffice-base  libreoffice-base-core libreoffice-common libreoffice-calc	libreoffice-draw libreoffice-impress libreoffice-math libreoffice-writer
MarshalM
Level 1
Level 1
Posts: 44
Joined: Wed Dec 24, 2014 6:44 am

Re: Installing LibreOffice problem

Post by MarshalM »

so:

1) sudo rm /var/lib/dpkg/info/libreoffice-common*
says that there is no file or directrory to remove

2) sudo dpkg -r --force-depends --force-remove-reinstreq libreoffice-common

Code: Select all

dpkg: ostrzeżenie: ignorowanie żądania usunięcia pakietu libreoffice-common, który nie jest zainstalowany
what means that there is no package to remove

3) sudo rm /var/lib/dpkg/info/libreoffice-core*
removed OK

4) sudo dpkg -r --force-depends --force-remove-reinstreq libreoffice-core

Code: Select all

dpkg: libreoffice-core: problemy z zależnościami, usuwanie według żądania:
 libreoffice-base-drivers zależy od libreoffice-core (= 1:6.0.7-0ubuntu0.18.04.2).
 python3-uno zależy od libreoffice-core (= 1:6.0.7-0ubuntu0.18.04.2).
 libreoffice-calc zależy od libreoffice-core (= 1:6.0.7-0ubuntu0.18.04.2); jednakże:
  Pakiet libreoffice-core jest przeznaczony do usunięcia.
 libreoffice-base-core zależy od libreoffice-core (= 1:6.0.7-0ubuntu0.18.04.2).
 libreoffice-report-builder-bin zależy od libreoffice-core (= 1:6.0.7-0ubuntu0.18.04.2); jednakże:
  Pakiet libreoffice-core jest przeznaczony do usunięcia.
 libreoffice zależy od libreoffice-core (= 1:6.0.7-0ubuntu0.18.04.2); jednakże:
  Pakiet libreoffice-core jest przeznaczony do usunięcia.
 libreoffice-math zależy od libreoffice-core (= 1:6.0.7-0ubuntu0.18.04.2).
 libreoffice-base zależy od libreoffice-core (= 1:6.0.7-0ubuntu0.18.04.2); jednakże:
  Pakiet libreoffice-core jest przeznaczony do usunięcia.
 libreoffice-impress zależy od libreoffice-core (= 1:6.0.7-0ubuntu0.18.04.2).
 libreoffice-writer zależy od libreoffice-core (= 1:6.0.7-0ubuntu0.18.04.2); jednakże:
  Pakiet libreoffice-core jest przeznaczony do usunięcia.
 libreoffice-avmedia-backend-gstreamer zależy od libreoffice-core (= 1:6.0.7-0ubuntu0.18.04.2).
 libreoffice-draw zależy od libreoffice-core (= 1:6.0.7-0ubuntu0.18.04.2).

(Odczytywanie bazy danych ... 311421 plików i katalogów obecnie zainstalowanych.)
Usuwanie pakietu libreoffice-core (1:6.0.7-0ubuntu0.18.04.2) ...
5) apt autoremove
Czytanie list pakietów... Gotowe
Budowanie drzewa zależności
Odczyt informacji o stanie... Gotowe
Należy uruchomić "apt --fix-broken install", aby je naprawić.
Następujące pakiety mają niespełnione zależności:
libreoffice : Wymaga: libreoffice-core (= 1:6.0.7-0ubuntu0.18.04.2) ale nie jest zainstalowany
libreoffice-avmedia-backend-gstreamer : Wymaga: libreoffice-core (= 1:6.0.7-0ubuntu0.18.04.2) ale nie jest zainstalowany
libreoffice-base : Wymaga: libreoffice-core (= 1:6.0.7-0ubuntu0.18.04.2) ale nie jest zainstalowany
libreoffice-base-core : Wymaga: libreoffice-core (= 1:6.0.7-0ubuntu0.18.04.2) ale nie jest zainstalowany
libreoffice-base-drivers : Wymaga: libreoffice-core (= 1:6.0.7-0ubuntu0.18.04.2) ale nie jest zainstalowany
libreoffice-calc : Wymaga: libreoffice-core (= 1:6.0.7-0ubuntu0.18.04.2) ale nie jest zainstalowany
libreoffice-draw : Wymaga: libreoffice-core (= 1:6.0.7-0ubuntu0.18.04.2) ale nie jest zainstalowany
libreoffice-impress : Wymaga: libreoffice-core (= 1:6.0.7-0ubuntu0.18.04.2) ale nie jest zainstalowany
libreoffice-math : Wymaga: libreoffice-core (= 1:6.0.7-0ubuntu0.18.04.2) ale nie jest zainstalowany
libreoffice-report-builder-bin : Wymaga: libreoffice-core (= 1:6.0.7-0ubuntu0.18.04.2) ale nie jest zainstalowany
libreoffice-style-galaxy : Wymaga: libreoffice-common (= 1:6.0.7-0ubuntu0.18.04.2) ale nie jest zainstalowany
libreoffice-style-tango : Wymaga: libreoffice-common (= 1:6.0.7-0ubuntu0.18.04.2) ale nie jest zainstalowany
libreoffice-writer : Wymaga: libreoffice-core (= 1:6.0.7-0ubuntu0.18.04.2) ale nie jest zainstalowany
python3-uno : Wymaga: libreoffice-core (= 1:6.0.7-0ubuntu0.18.04.2) ale nie jest zainstalowany
E: Niespełnione zależności. Proszę spróbować wykonać "apt --fix-broken install" bez pakietów (lub podać rozwiązanie).

6) apt clean
OK

7) apt update
OK

8 ) apt install libreoffice-core libreoffice-base libreoffice-base-core libreoffice-common libreoffice-calc libreoffice-draw libreoffice-impress libreoffice-math libreoffice-writer

Code: Select all

Czytanie list pakietów... Gotowe
Budowanie drzewa zależności       
Odczyt informacji o stanie... Gotowe
libreoffice-base-core is already the newest version (1:6.0.7-0ubuntu0.18.04.2).
libreoffice-base-core zaznaczony jako zainstalowany ręcznie.
libreoffice-calc is already the newest version (1:6.0.7-0ubuntu0.18.04.2).
libreoffice-calc zaznaczony jako zainstalowany ręcznie.
libreoffice-draw is already the newest version (1:6.0.7-0ubuntu0.18.04.2).
libreoffice-draw zaznaczony jako zainstalowany ręcznie.
libreoffice-impress is already the newest version (1:6.0.7-0ubuntu0.18.04.2).
libreoffice-impress zaznaczony jako zainstalowany ręcznie.
libreoffice-math is already the newest version (1:6.0.7-0ubuntu0.18.04.2).
libreoffice-math zaznaczony jako zainstalowany ręcznie.
libreoffice-writer is already the newest version (1:6.0.7-0ubuntu0.18.04.2).
libreoffice-writer zaznaczony jako zainstalowany ręcznie.
libreoffice-base is already the newest version (1:6.0.7-0ubuntu0.18.04.2).
libreoffice-base zaznaczony jako zainstalowany ręcznie.
Zostaną zainstalowane następujące NOWE pakiety:
  libreoffice-common libreoffice-core
0 aktualizowanych, 2 nowo instalowanych, 0 usuwanych i 0 nieaktualizowanych.
14 nie w pełni zainstalowanych lub usuniętych.
Konieczne pobranie 56,7 MB archiwów.
Po tej operacji zostanie dodatkowo użyte 214 MB miejsca na dysku.
Kontynuować? [T/n] t
Pobieranie:1 http://ftp.icm.edu.pl/pub/Linux/ubuntu bionic-updates/main amd64 libreoffice-common all 1:6.0.7-0ubuntu0.18.04.2 [24,7 MB]
Pobieranie:2 http://ftp.icm.edu.pl/pub/Linux/ubuntu bionic-updates/main amd64 libreoffice-core amd64 1:6.0.7-0ubuntu0.18.04.2 [31,9 MB]
Pobrano 56,7 MB w 4s (13,5 MB/s)               
Wybieranie wcześniej niewybranego pakietu libreoffice-common.
(Odczytywanie bazy danych ... 311422 pliki i katalogi obecnie zainstalowane.)
Przygotowywanie do rozpakowania pakietu .../libreoffice-common_1%3a6.0.7-0ubuntu0.18.04.2_all.deb ...
Rozpakowywanie pakietu libreoffice-common (1:6.0.7-0ubuntu0.18.04.2) ...
dpkg: błąd przetwarzania archiwum /var/cache/apt/archives/libreoffice-common_1%3a6.0.7-0ubuntu0.18.04.2_all.deb (--unpack):
 nie można otworzyć "/usr/lib/libreoffice/share/gallery/sg4.sdv.dpkg-new": Operacja niedozwolona
rmdir: nie udało się usunąć '/var/lib/libreoffice/share/prereg/': Nie ma takiego pliku ani katalogu
rmdir: nie udało się usunąć '/var/lib/libreoffice/share/': Nie ma takiego pliku ani katalogu
rmdir: nie udało się usunąć '/var/lib/libreoffice/program/': Nie ma takiego pliku ani katalogu
rmdir: nie udało się usunąć '/var/lib/libreoffice': Nie ma takiego pliku ani katalogu
rmdir: nie udało się usunąć '/var/lib/libreoffice': Nie ma takiego pliku ani katalogu
Wybieranie wcześniej niewybranego pakietu libreoffice-core.
Przygotowywanie do rozpakowania pakietu .../libreoffice-core_1%3a6.0.7-0ubuntu0.18.04.2_amd64.deb ...
Rozpakowywanie pakietu libreoffice-core (1:6.0.7-0ubuntu0.18.04.2) ...
Wystąpiły błędy podczas przetwarzania:
 /var/cache/apt/archives/libreoffice-common_1%3a6.0.7-0ubuntu0.18.04.2_all.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)
:(
User avatar
kukamuumuka
Level 16
Level 16
Posts: 6747
Joined: Tue Sep 03, 2013 4:51 am
Location: Finland
Contact:

Re: Installing LibreOffice problem

Post by kukamuumuka »

What tells command

Code: Select all

stat -c '%a %A %U %G %n'  /usr/lib/libreoffice/share/gallery/*
MarshalM
Level 1
Level 1
Posts: 44
Joined: Wed Dec 24, 2014 6:44 am

Re: Installing LibreOffice problem

Post by MarshalM »

it tells:

Code: Select all

$ stat -c '%a %A %U %G %n'  /usr/lib/libreoffice/share/gallery/*
stat: nie można wykonać stat na '/usr/lib/libreoffice/share/gallery/*': Nie ma takiego pliku ani katalogu
what means that there is no such directory

a directory list is:

Code: Select all

$ ll /usr/lib/libreoffice/share/
razem 32
drwxr-xr-x 8 root root 4096 gru 17 18:56 ./
drwxr-xr-x 4 root root 4096 gru 17 18:56 ../
drwxr-xr-x 3 root root 4096 gru 17 18:56 basic/
drwxr-xr-x 2 root root 4096 gru 17 13:29 calc/
drwxr-xr-x 3 root root 4096 gru 17 18:56 config/
drwxr-xr-x 2 root root 4096 gru 17 18:56 registry/
drwxr-xr-x 3 root root 4096 gru 17 13:29 Scripts/
drwxr-xr-x 2 root root 4096 gru 17 13:29 uno_packages/
User avatar
kukamuumuka
Level 16
Level 16
Posts: 6747
Joined: Tue Sep 03, 2013 4:51 am
Location: Finland
Contact:

Re: Installing LibreOffice problem

Post by kukamuumuka »

Try

Code: Select all

sudo mv /usr/lib/libreoffice /usr/lib/libreoffice.orig

apt clean

apt install --reinstall libreoffice-core libreoffice-base libreoffice-base-core libreoffice-common libreoffice-calc	libreoffice-draw libreoffice-impress libreoffice-math libreoffice-writer
MarshalM
Level 1
Level 1
Posts: 44
Joined: Wed Dec 24, 2014 6:44 am

Re: Installing LibreOffice problem

Post by MarshalM »

directory /usr/lib/libreoffice i've tried remove before also and didn't worked

but i do what You said and:

Code: Select all

~$ sudo apt install --reinstall libreoffice-core libreoffice-base libreoffice-base-core libreoffice-common libreoffice-calc libreoffice-draw libreoffice-impress libreoffice-math libreoffice-writer
Czytanie list pakietów... Gotowe
Budowanie drzewa zależności       
Odczyt informacji o stanie... Gotowe
Zostaną zainstalowane następujące NOWE pakiety:
  libreoffice-common
0 aktualizowanych, 1 nowo instalowanych, 8 ponownie instalowanych, 0 usuwanych i 3 nieaktualizowanych.
15 nie w pełni zainstalowanych lub usuniętych.
Konieczne pobranie 24,7 MB archiwów.
Po tej operacji zostanie dodatkowo użyte 79,2 MB miejsca na dysku.
Pobieranie:1 http://mirror.de.leaseweb.net/ubuntu bionic-updates/main amd64 libreoffice-common all 1:6.0.7-0ubuntu0.18.04.2 [24,7 MB]
Pobrano 24,7 MB w 11s (2 161 kB/s)                                                                                                            
E: Internal Error, No file name for libreoffice-base-core:amd64
i don't know why, but that same error is in few different distros.
ajgringo619
Level 8
Level 8
Posts: 2224
Joined: Thu Mar 01, 2018 8:36 pm
Location: San Diego, California, USA

Re: Installing LibreOffice problem

Post by ajgringo619 »

MarshalM wrote:
Tue Dec 18, 2018 1:51 pm
i don't know why, but that same error is in few different distros.
Can you explain this? Have you tried booting a Live USB of Mint and updating Libreoffice?
Mint 20.1 XFCE [kernel 5.4.0-64-generic]
Ryzen 7 2700X 3.7 GHz w/16GB RAM
GTX 1070 w/8GB RAM [460.32.03]
Image
MarshalM
Level 1
Level 1
Posts: 44
Joined: Wed Dec 24, 2014 6:44 am

Re: Installing LibreOffice problem

Post by MarshalM »

Sory, my fault. I mean a few different software sources, like for example:
http://mirror.de.leaseweb.net/ubuntu
http://ftp.icm.edu.pl/pub/Linux/ubuntu
http://ubuntu.task.gda.pl/ubuntu
http://mirror.onet.pl/pub/mirrors/ubuntu


And no, i haven't try boot a live USB and update LO.
ajgringo619
Level 8
Level 8
Posts: 2224
Joined: Thu Mar 01, 2018 8:36 pm
Location: San Diego, California, USA

Re: Installing LibreOffice problem

Post by ajgringo619 »

MarshalM wrote:
Tue Dec 18, 2018 2:23 pm
And no, i haven't try boot a live USB and update LO.
This would be just a test; I don't mean using the Live USB to upgrade software on your installed system. I'm just trying to find out if the upgrade process works at all.

I feel for you, MarshalM. It might be time to back your data and start over. I'd still like to know if installing LO via Flatpak worked...
Mint 20.1 XFCE [kernel 5.4.0-64-generic]
Ryzen 7 2700X 3.7 GHz w/16GB RAM
GTX 1070 w/8GB RAM [460.32.03]
Image
User avatar
kukamuumuka
Level 16
Level 16
Posts: 6747
Joined: Tue Sep 03, 2013 4:51 am
Location: Finland
Contact:

Re: Installing LibreOffice problem

Post by kukamuumuka »

MarshalM wrote:
Tue Dec 18, 2018 2:23 pm
Sory, my fault. I mean a few different software sources, like for example:
http://mirror.de.leaseweb.net/ubuntu
http://ftp.icm.edu.pl/pub/Linux/ubuntu
http://ubuntu.task.gda.pl/ubuntu
http://mirror.onet.pl/pub/mirrors/ubuntu
Restore default settings and repo mirrors via Software Sources. Disable also unworkable repos.

Code: Select all

inxi -Sr
MarshalM
Level 1
Level 1
Posts: 44
Joined: Wed Dec 24, 2014 6:44 am

Re: Installing LibreOffice problem

Post by MarshalM »

i decided to sum up evry advice and get one way to resolve. so:

1) Restore default settings and repo mirrors via Software Sources. Disable also unworkable repos.
~$ inxi -Sr

2) Removed all libreoffice* packages.

3) Removed directories or files
sudo rm /var/lib/dpkg/info/libreoffice-common*
sudo dpkg -r --force-depends --force-remove-reinstreq libreoffice-common
sudo rm /var/lib/dpkg/info/libreoffice-core*
sudo dpkg -r --force-depends --force-remove-reinstreq libreoffice-core
sudo rm /var/lib/dpkg/info/packagename_here*
sudo dpkg -r --force-depends --force-remove-reinstreq packagename_here

sudo apt-get remove --purge libreoffice-core
sudo apt-get remove --purge libreoffice-common

sudo apt autoremove libblosc1 libboost-locale1.58.0 libboost-regex1.58.0 libboost-thread1.58.0 libboost-wave1.58.0 libjemalloc1 liblog4cplus-1.1-9 libopenimageio1.6 libopenshadinglanguage1.7 libopenvdb3.1 libreoffice-common

sudo rm /var/lib/apt/lists/lock
sudo rm /var/cache/apt/archives/lock
sudo rm /var/cache/apt/archives/libreoff*
sudo rm /var/lib/dpkg/lock

4) ~$ sudo apt autoremove
5) ~$ sudo apt clean
6) ~$ sudo apt update
7) ~$ sudo apt upgrade
8 ) ~$ sudo dpkg --configure -a
9) ~$ sudo apt-get install libreoffice

Code: Select all

Czytanie list pakietów... Gotowe
Budowanie drzewa zależności       
Odczyt informacji o stanie... Gotowe
The following additional packages will be installed:
  libreoffice-avmedia-backend-gstreamer libreoffice-base libreoffice-base-core libreoffice-base-drivers libreoffice-calc libreoffice-common libreoffice-core libreoffice-draw
  libreoffice-impress libreoffice-math libreoffice-report-builder-bin libreoffice-style-galaxy libreoffice-style-tango libreoffice-writer python3-uno
Sugerowane pakiety:
  gpa imagemagick | graphicsmagick-imagemagick-compat libreoffice-grammarcheck libreoffice-help libreoffice-l10n myspell-dictionary openclipart2-libreoffice
  | openclipart-libreoffice pstoedit unixodbc libreoffice-officebean libreoffice-report-builder libjtds-java libreoffice-mysql-connector | libmyodbc | libmysql-java
  libreoffice-sdbc-postgresql | odbc-postgresql | libpg-java libsqliteodbc | tdsodbc | mdbtools libreoffice-sdbc-firebird ocl-icd-libopencl1 tango-icon-theme
  fonts-crosextra-caladea fonts-crosextra-carlito libreoffice-java-common
Polecane pakiety:
  fonts-crosextra-caladea fonts-crosextra-carlito fonts-linuxlibertine fonts-sil-gentium-basic libreoffice-gnome | libreoffice-kde4 libreoffice-librelogo libreoffice-nlpsolver
  libreoffice-ogltrans libreoffice-report-builder libreoffice-script-provider-bsh libreoffice-script-provider-js libreoffice-script-provider-python libreoffice-sdbc-postgresql
  libreoffice-wiki-publisher libreoffice-java-common libreoffice-sdbc-hsqldb
Zostaną zainstalowane następujące NOWE pakiety:
  libreoffice libreoffice-avmedia-backend-gstreamer libreoffice-base libreoffice-base-core libreoffice-base-drivers libreoffice-calc libreoffice-common libreoffice-core
  libreoffice-draw libreoffice-impress libreoffice-math libreoffice-report-builder-bin libreoffice-style-galaxy libreoffice-style-tango libreoffice-writer python3-uno
0 aktualizowanych, 16 nowo instalowanych, 0 usuwanych i 0 nieaktualizowanych.
Konieczne pobranie 82,7 MB archiwów.
Po tej operacji zostanie dodatkowo użyte 321 MB miejsca na dysku.
Kontynuować? [T/n] t
Pobieranie:1 http://archive.ubuntu.com/ubuntu bionic-updates/main amd64 libreoffice-style-galaxy all 1:6.0.7-0ubuntu0.18.04.2 [1 540 kB]
Pobieranie:2 http://archive.ubuntu.com/ubuntu bionic-updates/main amd64 libreoffice-style-tango all 1:6.0.7-0ubuntu0.18.04.2 [1 309 kB]
Pobieranie:3 http://archive.ubuntu.com/ubuntu bionic-updates/main amd64 libreoffice-common all 1:6.0.7-0ubuntu0.18.04.2 [24,7 MB]
Pobieranie:4 http://archive.ubuntu.com/ubuntu bionic-updates/main amd64 libreoffice-core amd64 1:6.0.7-0ubuntu0.18.04.2 [31,9 MB]
Pobieranie:5 http://archive.ubuntu.com/ubuntu bionic-updates/main amd64 libreoffice-base-core amd64 1:6.0.7-0ubuntu0.18.04.2 [705 kB]
Pobieranie:6 http://archive.ubuntu.com/ubuntu bionic-updates/universe amd64 libreoffice-base-drivers amd64 1:6.0.7-0ubuntu0.18.04.2 [498 kB]
Pobieranie:7 http://archive.ubuntu.com/ubuntu bionic-updates/universe amd64 libreoffice-base amd64 1:6.0.7-0ubuntu0.18.04.2 [1 730 kB]
Pobieranie:8 http://archive.ubuntu.com/ubuntu bionic-updates/main amd64 libreoffice-calc amd64 1:6.0.7-0ubuntu0.18.04.2 [7 039 kB]
Pobieranie:9 http://archive.ubuntu.com/ubuntu bionic-updates/main amd64 libreoffice-draw amd64 1:6.0.7-0ubuntu0.18.04.2 [2 673 kB]
Pobieranie:10 http://archive.ubuntu.com/ubuntu bionic-updates/main amd64 libreoffice-impress amd64 1:6.0.7-0ubuntu0.18.04.2 [906 kB]
Pobieranie:11 http://archive.ubuntu.com/ubuntu bionic-updates/main amd64 libreoffice-math amd64 1:6.0.7-0ubuntu0.18.04.2 [396 kB]
Pobieranie:12 http://archive.ubuntu.com/ubuntu bionic-updates/universe amd64 libreoffice-report-builder-bin amd64 1:6.0.7-0ubuntu0.18.04.2 [791 kB]
Pobieranie:13 http://archive.ubuntu.com/ubuntu bionic-updates/main amd64 libreoffice-writer amd64 1:6.0.7-0ubuntu0.18.04.2 [8 296 kB]
Pobieranie:14 http://archive.ubuntu.com/ubuntu bionic-updates/main amd64 libreoffice-avmedia-backend-gstreamer amd64 1:6.0.7-0ubuntu0.18.04.2 [24,7 kB]
Pobieranie:15 http://archive.ubuntu.com/ubuntu bionic-updates/main amd64 python3-uno amd64 1:6.0.7-0ubuntu0.18.04.2 [123 kB]
Pobieranie:16 http://archive.ubuntu.com/ubuntu bionic-updates/universe amd64 libreoffice amd64 1:6.0.7-0ubuntu0.18.04.2 [11,7 kB]
Pobrano 82,7 MB w 2s (37,1 MB/s)         
Wybieranie wcześniej niewybranego pakietu libreoffice-style-galaxy.
(Odczytywanie bazy danych ... 311168 plików i katalogów obecnie zainstalowanych.)
Przygotowywanie do rozpakowania pakietu .../00-libreoffice-style-galaxy_1%3a6.0.7-0ubuntu0.18.04.2_all.deb ...
Rozpakowywanie pakietu libreoffice-style-galaxy (1:6.0.7-0ubuntu0.18.04.2) ...
Wybieranie wcześniej niewybranego pakietu libreoffice-style-tango.
Przygotowywanie do rozpakowania pakietu .../01-libreoffice-style-tango_1%3a6.0.7-0ubuntu0.18.04.2_all.deb ...
Rozpakowywanie pakietu libreoffice-style-tango (1:6.0.7-0ubuntu0.18.04.2) ...
Wybieranie wcześniej niewybranego pakietu libreoffice-common.
Przygotowywanie do rozpakowania pakietu .../02-libreoffice-common_1%3a6.0.7-0ubuntu0.18.04.2_all.deb ...
Rozpakowywanie pakietu libreoffice-common (1:6.0.7-0ubuntu0.18.04.2) ...
dpkg: błąd przetwarzania archiwum /tmp/apt-dpkg-install-T1lPCE/02-libreoffice-common_1%3a6.0.7-0ubuntu0.18.04.2_all.deb (--unpack):
 nie można otworzyć "/usr/lib/libreoffice/share/gallery/finance/MoneyBag02.png.dpkg-new": Operacja niedozwolona
doesn't help so:

10) ~$ sudo apt autoremove
11) ~$ sudo apt clean
12) ~$ sudo apt update
13) ~$ sudo apt install libreoffice-core libreoffice-base libreoffice-base-core libreoffice-common libreoffice-calc libreoffice-draw libreoffice-impress libreoffice-math libreoffice-writer

Code: Select all

Czytanie list pakietów... Gotowe
Budowanie drzewa zależności       
Odczyt informacji o stanie... Gotowe
libreoffice-base-core is already the newest version (1:6.0.7-0ubuntu0.18.04.2).
libreoffice-base-core zaznaczony jako zainstalowany ręcznie.
libreoffice-calc is already the newest version (1:6.0.7-0ubuntu0.18.04.2).
libreoffice-calc zaznaczony jako zainstalowany ręcznie.
libreoffice-core is already the newest version (1:6.0.7-0ubuntu0.18.04.2).
libreoffice-core zaznaczony jako zainstalowany ręcznie.
libreoffice-draw is already the newest version (1:6.0.7-0ubuntu0.18.04.2).
libreoffice-draw zaznaczony jako zainstalowany ręcznie.
libreoffice-impress is already the newest version (1:6.0.7-0ubuntu0.18.04.2).
libreoffice-impress zaznaczony jako zainstalowany ręcznie.
libreoffice-math is already the newest version (1:6.0.7-0ubuntu0.18.04.2).
libreoffice-math zaznaczony jako zainstalowany ręcznie.
libreoffice-writer is already the newest version (1:6.0.7-0ubuntu0.18.04.2).
libreoffice-writer zaznaczony jako zainstalowany ręcznie.
libreoffice-base is already the newest version (1:6.0.7-0ubuntu0.18.04.2).
libreoffice-base zaznaczony jako zainstalowany ręcznie.
Zostaną zainstalowane następujące NOWE pakiety:
  libreoffice-common
0 aktualizowanych, 1 nowo instalowanych, 0 usuwanych i 0 nieaktualizowanych.
15 nie w pełni zainstalowanych lub usuniętych.
Konieczne pobranie 0 B/24,7 MB archiwów.
Po tej operacji zostanie dodatkowo użyte 79,2 MB miejsca na dysku.
Kontynuować? [T/n] t
(Odczytywanie bazy danych ... 311549 plików i katalogów obecnie zainstalowanych.)
Przygotowywanie do rozpakowania pakietu .../libreoffice-common_1%3a6.0.7-0ubuntu0.18.04.2_all.deb ...
Rozpakowywanie pakietu libreoffice-common (1:6.0.7-0ubuntu0.18.04.2) ...
dpkg: błąd przetwarzania archiwum /var/cache/apt/archives/libreoffice-common_1%3a6.0.7-0ubuntu0.18.04.2_all.deb (--unpack):
 nie można otworzyć "/usr/lib/libreoffice/share/gallery/diagrams.sdg.dpkg-new": Operacja niedozwolona
frosh
Level 1
Level 1
Posts: 17
Joined: Sun Dec 09, 2018 12:56 pm

Re: Installing LibreOffice problem

Post by frosh »

1) Restore default settings and repo mirrors via Software Sources. Disable also unworkable repos.
~$ inxi -Sr
Just for clarification this command doesn't restore default settings or disable repos, it shows your repo information. I think the idea was that you post the output here in case there is something wrong there.
MarshalM
Level 1
Level 1
Posts: 44
Joined: Wed Dec 24, 2014 6:44 am

Re: Installing LibreOffice problem

Post by MarshalM »

Yes i know, i restore default via Source Software Software application.

The output is:

Code: Select all

~$ inxi -Sr
System:    Host: LM Kernel: 4.15.0-42-generic x86_64 bits: 64
           Desktop: Cinnamon 3.8.9  Distro: Linux Mint 19 Tara
Repos:     Active apt sources in file: /etc/apt/sources.list.d/official-package-repositories.list
           deb http://packages.linuxmint.com tara main upstream import backport
           deb http://archive.ubuntu.com/ubuntu bionic main restricted universe multiverse
           deb http://archive.ubuntu.com/ubuntu bionic-updates main restricted universe multiverse
           deb http://archive.ubuntu.com/ubuntu bionic-backports main restricted universe multiverse
           deb http://security.ubuntu.com/ubuntu/ bionic-security main restricted universe multiverse
           deb http://archive.canonical.com/ubuntu/ bionic partner
User avatar
kukamuumuka
Level 16
Level 16
Posts: 6747
Joined: Tue Sep 03, 2013 4:51 am
Location: Finland
Contact:

Re: Installing LibreOffice problem

Post by kukamuumuka »

Your problem is caused from your early PPA LibreOffice, which has broken menus. The solution can be found from:
https://askubuntu.com/questions/548392/ ... bre-office
I had to carefully read the error message. It was letting me know that another application by the name of openoffice-debian-menus was using the file located in /usr/bin/soffice. This file could not be overwritten for some reason or another.
A dirty fix: Boot using liveDVD or USB and copy live's /usr/lib/libreoffice folder as an administrator to your installed system. Rename the original /usr/lib/libreoffice folder before copying.
MarshalM
Level 1
Level 1
Posts: 44
Joined: Wed Dec 24, 2014 6:44 am

Re: Installing LibreOffice problem

Post by MarshalM »

This link unfortunatelly doesn't work. Maybe becouse it's about situation when package OO and LO are conflict and in my situation there is problem with access?

But i try to dirty fix, so i copied a files You mean. What next? Should i try to
sudo apt-get install libreoffice
or something else?
User avatar
kukamuumuka
Level 16
Level 16
Posts: 6747
Joined: Tue Sep 03, 2013 4:51 am
Location: Finland
Contact:

Re: Installing LibreOffice problem

Post by kukamuumuka »

MarshalM wrote:
Wed Dec 19, 2018 5:31 pm
This link unfortunatelly doesn't work. Maybe becouse it's about situation when package OO and LO are conflict and in my situation there is problem with access?

But i try to dirty fix, so i copied a files You mean. What next? Should i try to
sudo apt-get install libreoffice
or something else?
If you have some *-debian-menus package installed, remove it first. You can search using the next command.

Code: Select all

dpkg --get-selections | grep office
If it finds, run

Code: Select all

sudo dpkg -P packagename-here
apt install libreoffice-common
If that not working, try the dirty fix.
MarshalM
Level 1
Level 1
Posts: 44
Joined: Wed Dec 24, 2014 6:44 am

Re: Installing LibreOffice problem

Post by MarshalM »

I already tried dry fix. Yesterday i copied files as You said, but i don't know what now? reinstall libreoffice?
Post Reply

Return to “Software & Applications”